.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

* {
  box-sizing: border-box;
}

body {
  width: 1320px;
  padding: 10px;
  margin: 0 auto;
}

.header {
  height: 80px;
  background-color: #048223;

  &__nav-menu {
    display: flex;
    justify-content: right;
    align-items: center;
    height: 100%;
    padding: 0px 20px;
  }

  &__favorites-icon-container {
    display: flex;
    align-items: center;
    margin-right: 15px;
  }

  &__favorites-icon {
    margin-right: 3px;
    cursor: pointer;

    &-counter {
      font-size: 24px;
    }
  }

  &__shopping-cart-icon-container {
    display: flex;
    align-items: center;
    margin-right: 15px;
  }

  &__shopping-cart {
    display: flex;
  }

  &__shopping-cart-icon {
    width: 35px;
    height: 35px;
    cursor: pointer;
    margin-right: 3px;
  }

  &__shopping-cart-counter {
    font-size: 24px;
  }
}

.cards-wrapper {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}

.product-card {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 260px;
  padding: 16px;
  border: 1px solid gray;
  overflow: hidden;

  &__add-to-fav-icon {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 35px;
    height: 35px;
    cursor: pointer;
  }

  &__item-photo-container {
    width: 227px;
    height: 300px;
    display: flex;
    justify-content: center;
    align-content: center;
  }

  &__item-photo {
    max-width: 227px;
    max-height: 300px;
  }

  &__title {
    height: 50px;
    word-wrap: normal;
    overflow: hidden;
  }

  &__cart-icon {
    width: 30px;
    height: 30px;
    align-self: end;
    margin-right: 35px;
  }

  &__price-buy-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  &__price {
    display: inline-block;
    font-size: 28px;
    font-weight: 700;
    & span {
      font-size: 16px;
    }
  }

  &__buy-btn {
    height: 35px;
    padding: 0px 30px;
    font-size: 20px;
    font-weight: 700;
    cursor: pointer;
    border: none;
    border-radius: 8px;
    background-color: #048223;
  }
}

.modal-backdrop {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 12px;
  width: 520px;
  transition: 1s;

  &__close-btn {
    position: absolute;
    top: 15px;
    right: 20px;
    width: 40px;
    height: 40px;
    padding: 0px;
    background-color: transparent;
    border: none;
    background: url('./images/Krestiksvgpng.ru_.svg') center/cover no-repeat;
  }

  &__header {
    height: 70px;
    margin: 0;
    padding: 24px 0px 24px 30px;
    border-radius: 12px 12px 0px 0px;
    font-size: 26px;
    line-height: 1;
    font-weight: bold;
    text-align: left;
    color: white;
  }

  &__body {
    padding: 36px 42px;
    margin: 0 auto;
    font-size: 20px;
    color: white;
  }

  &__actions {
    display: flex;
    justify-content: center;
    padding-bottom: 24px;
  }

  &-btn {
    height: 35px;
    padding: auto;
    font-size: 16px;
    line-height: 1;
    margin-right: 10px;
    font-size: 22px;
    border: none;
    border-radius: 8px;
    color: white;
    box-shadow: none;
  }
}

.delete-modal {
  background-color: #ea4b35;

  &__header {
    background-color: #d64530;
  }

  & .ok-btn,
  & .cancel-btn {
    background-color: #b53726;
  }
}

.add-to-cart-modal {
  background-color: #03b61b;

  &__header {
    background-color: rgb(5, 151, 42);
  }

  & .add-to-cart-btn,
  & .cancel-btn {
    background-color: #014e14;
    padding: 15x 0px;
    width: 140px;
  }
}
